Bug 121724 - (USB HID)USB mouse freezes on laptop, touchpad works OK
(USB HID)USB mouse freezes on laptop, touchpad works OK
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 15:26 EDT by Harri H.
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harri H. 2004-04-26 15:26:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Genius optical wireless USB-mouse works for a while, but freezes quite
soon after booting. Optical mouse's light doesn't turn off. Touchpad
is working well. After unplugging and replugiing USB-mouse receiver,
it works again. Sometimes Hardware browser makes the mouse work again.
USB mouse crashes usually again soon after these procedures...

I'm running FC2 test2 on Packard Bell iGo 2441 laptop with AMD Athlon
1,4Ghz. Same behaviour with 2.6.3 and 2.6.5 kernels.

Version-Release number of selected component (if applicable):
2.4-9.1.127

How reproducible:
Sometimes

Steps to Reproduce:
1. Unplug optical USB-mouse receiver
2. Reconnect USB-mouse receiver
3. Just surf and see when it freezes. 
    

Actual Results:  Usually mouse pointer freezes within few minutes. Now
it's been working fine (because I'm nagging...?) for a while though.

(Nah, it did it again!)

Expected Results:  Cursor movement.

Additional info:

Few interesting lines from /var/log/messages:

Apr 26 19:12:28 localhost kernel: USB Universal Host Controller
Interface driver v2.2
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.2: UHCI Host
Controller
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.2: irq 10, io
base 00001200
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.2: new USB bus
registered, assigned bus number 1
Apr 26 19:12:28 localhost kernel: hub 1-0:1.0: USB hub found
Apr 26 19:12:28 localhost kernel: hub 1-0:1.0: 2 ports detected
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.3: UHCI Host
Controller
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.3: irq 10, io
base 00001300
Apr 26 19:12:28 localhost kernel: uhci_hcd 0000:00:11.3: new USB bus
registered, assigned bus number 2
Apr 26 19:12:28 localhost kernel: hub 2-0:1.0: USB hub found
Apr 26 19:12:28 localhost kernel: hub 2-0:1.0: 2 ports detected
Apr 26 19:12:28 localhost kernel: usb 1-1: new low speed USB device
using address 2
Apr 26 19:12:28 localhost kernel: SCSI subsystem initialized
Apr 26 19:12:28 localhost kernel: drivers/usb/input/hid-core.c: ctrl
urb status -32 received
Apr 26 19:12:28 localhost kernel: input: USB HID v1.00 Mouse [Genius
Wireless optical mouse] on usb-0000:00:11.2-1
......

Apr 26 19:17:00 localhost kernel: psmouse.c: TouchPad at
isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
Comment 1 John Thacker 2006-10-30 09:47:02 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 2 John Thacker 2007-01-12 10:05:41 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.